# Examples below, demonstrating XSD 1.1 validation using three input files.
# The zip file is used in the input.
# The response type is JSON.

import requests

validation_url = 'https://www.softwarebytes.org/xmlvalidation/api/xsValidationHandlerAdvanced'

other_form_data = {'ver': '1.1',
                   'xsd11CtaFullXPath': 'no',
                   'responseType': 'json'
                  }

print("\nExample 1 output:\n")
input_files = {
        ('xmlFile', open('../resources/adv_inp_zip/x1_valid.xml', 'r')),
        ('xsdFile1', open('../resources/adv_inp_zip/x1.xsd', 'r')),
        ('xsdZipFile', open('../resources/adv_inp_zip/x1_included.zip', 'rb'))
      }      
      
response = requests.post(validation_url, files=input_files, data=other_form_data)

print(response.text)

print("\nExample 2 output:\n")
input_files = {
        ('xmlFile', open('../resources/adv_inp_zip/x1_invalid.xml', 'r')),
        ('xsdFile1', open('../resources/adv_inp_zip/x1.xsd', 'r')),
        ('xsdZipFile', open('../resources/adv_inp_zip/x1_included.zip', 'rb'))
      } 
      
response = requests.post(validation_url, files=input_files, data=other_form_data)

print(response.text)      